/**************************************************************************
/* This class sets variables in the script-environment
/*
/* Copyright (c) 2007 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.io.*;
import java.util.*;
import javax.script.*;

/**
   This class loads a script and executes various functions.

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class PutVars extends ExecFuncs {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public PutVars() throws Exception {
    super();
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Main method.

     @param args Program arguments (ignored).
  */

  public static void main(String[] args) {
    try {
      PutVars obj = new PutVars();
      obj.getEngine().put("d",new Double(Math.PI));
      obj.getEngine().eval("print 'd =', d");

      List<String> aList = new ArrayList<String>();
      aList.add("Java");
      aList.add("is");
      aList.add("great");
      obj.getEngine().put("theList",aList);
      obj.getEngine().eval("print 'theList =', theList");
      
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
